package com.hibernate.onetoonemapping;

import org.hibernate.SessionFactory;
import org.hibernate.cfg.AnnotationConfiguration;
import org.hibernate.classic.Session;
import org.hibernate.tool.hbm2ddl.SchemaExport;

public class TestPerson {

	public static void main(String[] args){
		AnnotationConfiguration config = new AnnotationConfiguration();
		config.addAnnotatedClass(Person.class);
		config.addAnnotatedClass(PersonDetail.class);
		config.configure("hibernate.cfg.xml");
		
		// only need to run once to create tables
		new SchemaExport(config).create(true,true);
		
		SessionFactory factory = config.buildSessionFactory();
		Session session = factory.getCurrentSession();
		
		session.beginTransaction();
		
		{
			PersonDetail alexDetail = new PersonDetail();
			alexDetail.setZipCode("20815");
			alexDetail.setJob("Acccountant");
			alexDetail.setIncome(67245.56);
			
			Person alex = new Person();
			alex.setPersonName("Alex Berry");
			alex.setpDetail(alexDetail);
			session.save(alex);
			// no need if the cascadeType is set for Person
			session.save(alexDetail);
			
		}
		session.getTransaction().commit();
	}
}
