package edu.jhu.cs.oose.fall2014.group16.brainAnalysis.model;

import java.util.ArrayList;
import java.util.List;

public class DatabaseAdministrator extends User {

	private List<Report> dataAdded;
	
	/**
	 * Constructor for a new Database Administrator/Manager
	 * @param username A string of the name of the admin
	 * @param password A string of the password for the admin account
	 */
	public DatabaseAdministrator(String username, String password) {
		super(username, password);
		this.dataAdded = new ArrayList<Report>();
	}
	
	/**
	 * Imports a list of data and generates a report from the data
	 * @param data List of data, such as images 
	 * @return A report with the information gathered from the data list
	 */
	public Report importData(List<Data> data) {
		return null;
	}
	
	/**
	 * Specify a list of default image processing types for data processing
	 * @param types A list of data processing types
	 */
	public void changeDefaultProcessing(List<ProcessType> types) {
		
	}
}
