/**
 * 
 */
package edu.jhu.cs.oose.fall2014.group16.brainAnalysis.model;

import org.hibernate.SessionFactory;
import org.hibernate.cfg.AnnotationConfiguration;
import org.hibernate.classic.Session;
import org.hibernate.tool.hbm2ddl.SchemaExport;

/**
 * @author Guannan
 *
 */
public class TestImageData {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		AnnotationConfiguration config = new AnnotationConfiguration();
		config.addAnnotatedClass(ImageData.class);
		config.configure("hibernate.cfg.xml");
		
		// only need to run once to create tables
		new SchemaExport(config).create(true,true);
		
		SessionFactory factory = config.buildSessionFactory();
		Session session = factory.getCurrentSession();
		
		session.beginTransaction();
		
		{
			ImageData imageData1 = new ImageData("testpic1.jpg");
			imageData1.setFileFormat("Format1");
			session.save(imageData1);
		}{
			ImageData imageData2 = new ImageData("testpic2.jpg");
			imageData2.setFileFormat("Format1");
			session.save(imageData2);
		}{
			ImageData imageData3 = new ImageData("testpic3.jpg");
			imageData3.setFileFormat("Format1");
			session.save(imageData3);
		}
		
		session.beginTransaction().commit();

	}

}
