package edu.jhu.cs.oose.fall2014.group16.brainAnalysis.model;


import java.sql.Date;

import org.hibernate.SessionFactory;
import org.hibernate.cfg.AnnotationConfiguration;
import org.hibernate.classic.Session;
import org.hibernate.tool.hbm2ddl.SchemaExport;

public class TestXMLImageData {

	public static void main(String[] args) {
		AnnotationConfiguration config = new AnnotationConfiguration();
		config.addAnnotatedClass(XMLImageData.class);
		config.configure("hibernate.cfg.xml");
		
		// only need to run once to create tables
		new SchemaExport(config).create(true,true);
		
		SessionFactory factory = config.buildSessionFactory();
		Session session = factory.getCurrentSession();
		
		session.beginTransaction();
		
		{
			XMLImageData imageData1 = new XMLImageData();
			imageData1.setSubject(new Subject("Alex","123",Date.valueOf("1991-09-03")));
			imageData1.setTakenOn(Date.valueOf("2014-09-02"));
			imageData1.setImageType("JPEG");
			session.save(imageData1);
		}{
			XMLImageData imageData2 = new XMLImageData();
			imageData2.setSubject(new Subject("Bob","234",Date.valueOf("1991-09-03")));			
			imageData2.setTakenOn(Date.valueOf("2014-09-03"));
			imageData2.setImageType("JPEG");
			session.save(imageData2);
		}{
			XMLImageData imageData3 = new XMLImageData();
			imageData3.setSubject(new Subject("Chad","345",Date.valueOf("1991-09-03")));
			imageData3.setTakenOn(Date.valueOf("2014-09-04"));
			imageData3.setImageType("JPEG");
			session.save(imageData3);
		}
		
		session.beginTransaction().commit();

	}

}
