package edu.jhu.cs.oose.fall2014.group16.brainAnalysis.model;

import java.io.File;
import java.util.Map;

import javax.persistence.Transient;

public class Demographic extends Data {

	private Map<String, String> demographics;
	File rawData;

	@Transient
	public File getRawData() {
		return rawData;
	}

	@Transient
	public Map<String, String> getDemographics() {
		return demographics;
	}

	/**
	 * Constructor to create a new Demographic based on the input file.
	 * @param A raw data file
	 */
	public Demographic(File rawData) {
		super(rawData);
		this.rawData = rawData;
	}
	
	/**
	 * Updates the demographic information for the patient
	 */
	public void updateSubjectInformation() {
		
	}
}
