package edu.jhu.cs.oose.fall2014.group16.brainAnalysis.model;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Date;
import java.util.List;

import javax.persistence.Entity;
import javax.persistence.Table;


@Entity
@Table(name="TestResults")
public class TestResults extends Data {

	File rawData;
	/**
	 * Constructor to create a new Image based on the input file.
	 * @param A raw data file
	 */
	public TestResults(File rawData) {
		super(rawData);
		this.rawData = rawData;
	}

	private Date takenOn;
	
	/**
	 * Links the test result to a specific image
	 * @return The image the test results correlated to
	 */
	public List<Image> correlateToImage() throws FileNotFoundException {
		entityManager = entityManagerFactory.createEntityManager();
		entityManager.getTransaction().begin();
		List<XMLImageData> result = entityManager.createQuery( "from Event", XMLImageData.class ).getResultList();
		entityManager.getTransaction().commit();
		entityManager.close();
		return result;
	}
	
	/**
	 * Returns the test result name for a specific test
	 * @param test String of the test name of interest
	 * @return String of the name of the test result
	 */
	public String getResultsForTest(String test) {
		return null;
	}
	
	/**
	 * Returns a list of all the test results
	 * @return A list of strings of all test result names
	 */
	public List<String> getTestsPerformed() {
		return null;
	}
	
}
